cURL
curl --request GET \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/stats?period=7d&tz=Europe/Rome' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/stats?period=7d&tz=Europe/Rome', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/tenants/restaurant_4812/stats?period=7d&tz=Europe/Rome',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/tenants/{tenant}/stats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"period": {
"days": 7,
"from": "2026-11-09T00:00:00.000Z",
"to": "2026-11-15T17:32:18.799Z",
"timeZone": "UTC",
"bucket": "day"
},
"totals": {
"sent": 18,
"delivered": 18,
"opened": 4,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 22.2,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
},
"automatic": {
"sent": 15,
"delivered": 15,
"opened": 4,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 26.7,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
},
"campaigns": {
"sent": 3,
"delivered": 3,
"opened": 0,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 0,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
},
"trend": [
{
"date": "2026-11-14",
"sent": 3,
"opened": 1,
"clicked": 0
},
{
"date": "2026-11-15",
"sent": 2,
"opened": 0,
"clicked": 0
}
],
"top": [
{
"templateId": 1201,
"name": "Booking confirmation",
"kind": "automatic",
"sent": 9,
"delivered": 9,
"opened": 3,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 33.3,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
}
],
"status": {
"state": "limited",
"dailyCap": 1000,
"usedToday": 0,
"remainingToday": 1000
},
"generatedAt": "2026-11-15T17:32:19.016Z"
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Tenants
Get Tenant Stats
How the emails of one restaurant performed
GET
/
public
/
v1
/
tenants
/
{tenant}
/
stats
cURL
curl --request GET \
--url 'https://api.minimo.it/public/v1/tenants/restaurant_4812/stats?period=7d&tz=Europe/Rome' \
--header 'Authorization: Bearer YOUR_MINIMO_KEY'const res = await fetch('https://api.minimo.it/public/v1/tenants/restaurant_4812/stats?period=7d&tz=Europe/Rome', {
method: 'GET',
headers: {
Authorization: 'Bearer YOUR_MINIMO_KEY',
},
});
const { data } = await res.json();
console.log(data);import requests
res = requests.get(
'https://api.minimo.it/public/v1/tenants/restaurant_4812/stats?period=7d&tz=Europe/Rome',
headers={'Authorization': 'Bearer YOUR_MINIMO_KEY'},
)
print(res.status_code, res.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minimo.it/public/v1/tenants/{tenant}/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minimo.it/public/v1/tenants/{tenant}/stats"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.minimo.it/public/v1/tenants/{tenant}/stats")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minimo.it/public/v1/tenants/{tenant}/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"tenant": "restaurant_4812",
"period": {
"days": 7,
"from": "2026-11-09T00:00:00.000Z",
"to": "2026-11-15T17:32:18.799Z",
"timeZone": "UTC",
"bucket": "day"
},
"totals": {
"sent": 18,
"delivered": 18,
"opened": 4,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 22.2,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
},
"automatic": {
"sent": 15,
"delivered": 15,
"opened": 4,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 26.7,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
},
"campaigns": {
"sent": 3,
"delivered": 3,
"opened": 0,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 0,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
},
"trend": [
{
"date": "2026-11-14",
"sent": 3,
"opened": 1,
"clicked": 0
},
{
"date": "2026-11-15",
"sent": 2,
"opened": 0,
"clicked": 0
}
],
"top": [
{
"templateId": 1201,
"name": "Booking confirmation",
"kind": "automatic",
"sent": 9,
"delivered": 9,
"opened": 3,
"clicked": 0,
"hardBounced": 0,
"softBounced": 0,
"blocked": 0,
"complaints": 0,
"unsubscribed": 0,
"notSent": 0,
"rates": {
"delivered": 100,
"opened": 33.3,
"clicked": 0,
"bounced": 0,
"complaints": 0,
"unsubscribed": 0
}
}
],
"status": {
"state": "limited",
"dailyCap": 1000,
"usedToday": 0,
"remainingToday": 1000
},
"generatedAt": "2026-11-15T17:32:19.016Z"
}
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}{
"status": "FAIL",
"message": "INVALID_PARAMETERS",
"userMessage": "Set the origins allowed to embed the widgets first."
}Guide: Statistics widget. Errors: Errors and limits.